/*
    QU2.C
*/

#include <p_std.h>
#include <wlib.h>
#include <hwif.h>

LOCAL_C VOID CreateGC(VOID)
    {
    INT hgc;

    hgc=gCreateGC0(uFindMainWid());
    if (hgc<0)
        p_exit(hgc);
    }

GLDEF_C VOID main(VOID)
    {
    WMSG_KEY key;

    uCommonInit();
    CreateGC();
    gBorder(W_BORD_CORNER_4);
    wSetBusyMsg("Hello world",W_CORNER_BOTTOM_LEFT);
    FOREVER
        {
        uGetKey(&key);
        if (key.keycode==(W_SPECIAL_KEY|'x'))
            p_exit(0);
        }
    }
